%define gcc_version 2005q3
%define gcc_release 2
%define gcc_gnu_version 3.4.4

Summary: ARM EABI compilers (C, C++)
Name: gcc
Version: %{gcc_version}
Release: %{gcc_release}
Copyright: GPL
Group: Development/Languages
Source0: gcc-2005q3-2.tar.bz2
URL: http://gcc.gnu.org
BuildRoot: /var/tmp/gcc-root

%description
The gcc package contains the Code Sourcery ARM toolchain version 2005q3-2
You'll need this package in order to compile C code.

%define _unpackaged_files_terminate_build 0


%define _gnu %{nil}
%{expand: %%{global} _gcc_is_%{_targetarch} %%{nil}}
%define gcc_target_platform %{_targetarch}-none-linux-gnueabi


%package -n glibc
Summary: glibc version 2.3.5 shared library
Group: System Environment/Libraries

%description -n glibc
The gcc package contains the Code Sourcery ARM toolchain version 2005q3-2
You'll need this package in order to compile C code.

%package -n glibc-devel
Summary: Header files and libraries for C development
Group: Development/Libraries

%description -n glibc-devel
Header files and libraries for C development

%prep
%setup -q -n gcc-%{gcc_version}

%build

rm -fr ../obj-%{gcc_target_platform}
mkdir ../obj-%{gcc_target_platform}
cd ../obj-%{gcc_target_platform}
CC=%{_targetarch}-none-linux-gnueabi-gcc \
AR=%{_targetarch}-none-linux-gnueabi-ar \
AS=%{_targetarch}-none-linux-gnueabi-as \
CXX=%{_targetarch}-none-linux-gnueabi-g++ \
RANLIB=%{_targetarch}-none-linux-gnueabi-ranlib \
STRIP=%{_targetarch}-none-linux-gnueabi-strip \
NM=%{_targetarch}-none-linux-gnueabi-nm \
AS=%{_targetarch}-none-linux-gnueabi-as \
LD=%{_targetarch}-none-linux-gnueabi-ld \
	../gcc-2005q3/configure --host=%{_targetarch}-none-linux-gnueabi --target=%{_targetarch}-none-linux-gnueabi --build=i386-pc-linux-gnu --enable-languages=c,c++ --prefix=/usr
make

%install
rm -fr $RPM_BUILD_ROOT
cd ../obj-%{gcc_target_platform}
make prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
  infodir=$RPM_BUILD_ROOT%{_infodir} install

#copy glibc-2.3.5 libraries and tools
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin

cd ../gcc-%{gcc_version}
cp -a  ./cross/libc/lib/*		$RPM_BUILD_ROOT/lib
cp -a  ./cross/libc/sbin/*		$RPM_BUILD_ROOT/sbin
cp -a  ./cross/libc/usr/lib/*		$RPM_BUILD_ROOT%{_prefix}/lib
cp -a  ./cross/libc/usr/include/*	$RPM_BUILD_ROOT%{_prefix}/include
cp -a  ./cross/libc/usr/sbin/*		$RPM_BUILD_ROOT%{_prefix}/sbin
cp -a  ./cross/libc/usr/info/*.info	$RPM_BUILD_ROOT%{_infodir}
#replace specs file
cp -a  --reply=yes ./cross/specs $RPM_BUILD_ROOT%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}

rm -f $RPM_BUILD_ROOT%{_prefix}/bin/gccbug

file $RPM_BUILD_ROOT/%{_prefix}/bin/* | grep ELF | cut -d':' -f1 | xargs %{_targetarch}-none-linux-gnueabi-strip || :
%{_targetarch}-none-linux-gnueabi-strip $RPM_BUILD_ROOT/%{_prefix}/bin/*

# fix some things
ln -sf gcc $RPM_BUILD_ROOT%{_prefix}/bin/cc
ln -sf ../bin/cpp $RPM_BUILD_ROOT%{_prefix}/lib/cpp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/libexec/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}
%{_prefix}/bin/%{_targetarch}-none-linux-gnueabi-gcc-%{gcc_gnu_version}
%{_prefix}/bin/%{_targetarch}-none-linux-gnueabi-c++
%{_prefix}/bin/%{_targetarch}-none-linux-gnueabi-g++
%{_prefix}/bin/%{_targetarch}-none-linux-gnueabi-gcc
%{_prefix}/bin/c++
%{_prefix}/bin/cpp
%{_prefix}/bin/g++
%{_prefix}/bin/gcc
%{_prefix}/bin/gcov
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/README
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/specs
%{_infodir}/cpp.info.gz
%{_infodir}/cppinternals.info.gz
%{_infodir}/gcc.info.gz
%{_infodir}/gccinstall.info.gz
%{_infodir}/gccint.info.gz
%{_mandir}/man1/cpp.1.gz
%{_mandir}/man1/g++.1.gz
%{_mandir}/man1/gcc.1.gz
%{_mandir}/man1/gcov.1.gz
%{_mandir}/man7/fsf-funding.7.gz
%{_mandir}/man7/gfdl.7.gz
%{_mandir}/man7/gpl.7.gz
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/streambuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/iterator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/tree.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/iomanip.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/hashtable.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/backward_warning.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/new.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/complex.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/tempbuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/rope.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/heap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/pair.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/deque.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/hash_set.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/multimap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/vector.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/bvector.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/algo.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/set.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/function.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/multiset.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/alloc.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/algobase.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/ostream.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/stack.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/queue.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/list.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/iostream.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/istream.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/map.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/slist.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/defalloc.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/stream.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/hash_map.h
%{_prefix}/include/c++/%{gcc_gnu_version}/backward/fstream.h
%{_prefix}/include/c++/%{gcc_gnu_version}/cxxabi.h
%{_prefix}/include/c++/%{gcc_gnu_version}/exception_defines.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/debug.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/hash_multimap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/safe_sequence.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/hash_set.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/multimap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/set.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/safe_iterator.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/formatter.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/safe_base.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/multiset.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/map.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/hash_multiset.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/safe_iterator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/debug/hash_map.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/hashtable.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/hash_fun.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/bitmap_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/ropeimpl.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/new_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/enc_filebuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/pod_char_traits.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/mt_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/malloc_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/stdio_filebuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/stdio_sync_filebuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/pool_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/ext/debug_allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/functexcept.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/boost_concept_check.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_vector.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/vector.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_iterator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/list.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_list.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/valarray_after.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_stack.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/gslice.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/atomicity.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_tree.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/mask_array.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_relops.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_multiset.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/cmath.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/slice_array.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_function.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/basic_string.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_algobase.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_iterator_base_funcs.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_heap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/codecvt.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/valarray_before.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/type_traits.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_queue.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_set.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/fstream.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_map.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/indirect_array.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_uninitialized.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/ostream.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/char_traits.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/basic_ios.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stringfwd.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/locale_facets.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/streambuf.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/concurrence.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/sstream.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_construct.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/ios_base.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/locale_classes.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_multimap.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_iterator_base_types.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/localefwd.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_pair.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_deque.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_raw_storage_iter.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/basic_ios.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_tempbuf.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/valarray_array.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/concept_check.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/istream.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_algo.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/postypes.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stream_iterator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/basic_string.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_bvector.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/locale_facets.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_numeric.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/stl_threads.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/cpp_type_traits.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/gslice_array.h
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/valarray_array.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/deque.tcc
%{_prefix}/include/c++/%{gcc_gnu_version}/bits/streambuf_iterator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/ctype_inline.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/ctype_noninline.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/c++allocator.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/gthr-default.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/ctype_base.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/gthr-posix.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/gthr.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/c++config.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/atomic_word.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/stdc++.h.gch
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/codecvt_specializations.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/os_defines.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/gthr-single.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/c++io.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/c++locale.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/cxxabi_tweaks.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/basic_file.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/time_members.h
%{_prefix}/include/c++/%{gcc_gnu_version}/%{_targetarch}-none-linux-gnueabi/bits/messages_members.h
%{_prefix}/lib/libsupc++.a
%{_prefix}/lib/libgcc_s.so.1
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/crtend.o
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/crtbegin.o
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/crtbeginT.o
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/crtbeginS.o
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/libgcc_eh.a
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/libgcc.a
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/mkheaders.conf
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/mmintrin.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/stdarg.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/stddef.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/float.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/stdbool.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/varargs.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/unwind-arm.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/iso646.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/unwind.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/install-tools/include/limits.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/crtendS.o
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/libgcov.a
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/mmintrin.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/stdarg.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/stddef.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/float.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/stdbool.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/varargs.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/unwind-arm.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/iso646.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/unwind.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/limits.h
%{_prefix}/lib/gcc/%{_targetarch}-none-linux-gnueabi/%{gcc_gnu_version}/include/syslimits.h
%{_prefix}/lib/libstdc++.so.6
%{_prefix}/lib/libiberty.a
%{_prefix}/lib/libstdc++.so.6.0.3
%{_prefix}/lib/libstdc++.la
%{_prefix}/lib/libsupc++.la
%{_prefix}/lib/libgcc_s.so
%{_prefix}/lib/libstdc++.so
%{_prefix}/lib/libstdc++.a
%{_prefix}/share/locale/el/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/tr/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/da/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/be/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/ca/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/es/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/nl/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/sv/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/gcc-3.4.3.rw/LC_MESSAGES/gcc.mo
%{_prefix}/share/locale/de/LC_MESSAGES/gcc.mo
%{_prefix}/bin/cc
%{_prefix}/lib/cpp

%files -n glibc
%defattr(-,root,root)
/lib/libanl.so.1
/lib/libpthread-2.3.6.so
/lib/libBrokenLocale.so.1
/lib/ld-linux.so.3
/lib/libnss_dns.so.2
/lib/libnsl-2.3.6.so
/lib/libnss_nis-2.3.6.so
/lib/libcidn-2.3.6.so
/lib/libm-2.3.6.so
/lib/libnss_hesiod-2.3.6.so
/lib/librt.so.1
/lib/libnss_files.so.2
/lib/libutil-2.3.6.so
/lib/libc.so.6
/lib/libdl.so.2
/lib/libdl-2.3.6.so
/lib/libnss_compat.so.2
/lib/libcidn.so.1
/lib/libSegFault.so
/lib/ld-2.3.6.so
/lib/libnsl.so.1
/lib/libresolv-2.3.6.so
/lib/libcrypt.so.1
/lib/librt-2.3.6.so
/lib/libm.so.6
/lib/libthread_db.so.1
/lib/libanl-2.3.6.so
/lib/libutil.so.1
/lib/libresolv.so.2
/lib/libnss_nis.so.2
/lib/libmemusage.so
/lib/libpcprofile.so
/lib/libnss_dns-2.3.6.so
/lib/libcrypt-2.3.6.so
/lib/libnss_files-2.3.6.so
/lib/libnss_nisplus.so.2
/lib/libnss_nisplus-2.3.6.so
/lib/libBrokenLocale-2.3.6.so
/lib/libthread_db-1.0.so
/lib/libpthread.so.0
/lib/libnss_hesiod.so.2
/lib/libc-2.3.6.so
/lib/libnss_compat-2.3.6.so
/sbin/*
%{_prefix}/sbin/*
#%{_prefix}/lib/crt1.o
#%{_prefix}/lib/crtn.o
#%{_prefix}/lib/crti.o
/lib/libgcc_s.so.1
/lib/libgcc_s.so


%files -n glibc-devel
%defattr(-,root,root)
%{_prefix}/lib/Scrt1.o
%{_prefix}/lib/libcrypt.a
%{_prefix}/lib/libstdc++.so
%{_prefix}/lib/libutil.so
%{_prefix}/lib/libc.a
%{_prefix}/lib/libdl.a
%{_prefix}/lib/libmcheck.a
%{_prefix}/lib/libBrokenLocale.a
%{_prefix}/lib/libBrokenLocale.so
%{_prefix}/lib/libnsl.a
%{_prefix}/lib/crt1.o
%{_prefix}/lib/libthread_db.so
%{_prefix}/lib/libanl.a
%{_prefix}/lib/libstdc++.so.6.0.3
%{_prefix}/lib/libresolv.a
%{_prefix}/lib/libnss_files.so
%{_prefix}/lib/Mcrt1.o
%{_prefix}/lib/libnss_nis.so
%{_prefix}/lib/gcrt1.o
%{_prefix}/lib/gconv/*
%{_prefix}/lib/libc.so
%{_prefix}/lib/crtn.o
%{_prefix}/lib/libcrypt.so
%{_prefix}/lib/libnss_nisplus.so
%{_prefix}/lib/libanl.so
%{_prefix}/lib/libresolv.so
%{_prefix}/lib/crti.o
%{_prefix}/lib/libnsl.so
%{_prefix}/lib/libcidn.so
%{_prefix}/lib/libieee.a
%{_prefix}/lib/libpthread_nonshared.a
%{_prefix}/lib/libutil.a
%{_prefix}/lib/libstdc++.so.6
%{_prefix}/lib/libc_nonshared.a
%{_prefix}/lib/libpthread.a
%{_prefix}/lib/libdl.so
%{_prefix}/lib/libnss_hesiod.so
%{_prefix}/lib/libm.a
%{_prefix}/lib/libnss_dns.so
%{_prefix}/lib/libg.a
%{_prefix}/lib/libm.so
%{_prefix}/lib/libnss_compat.so
%{_prefix}/lib/libpthread.so
%{_prefix}/lib/librt.a
%{_prefix}/lib/librt.so
%{_prefix}/lib/libbsd-compat.a
%{_prefix}/lib/libpthread.so_orig
%{_prefix}/lib/libc.so_orig
%{_prefix}/include/*
/%{_infodir}/libc*

%changelog

